log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, false > Struct Template Reference

`#include <stringhelper.h>`

Inheritance diagram for log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, false >:
[legend]
Collaboration diagram for log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, false >:
[legend]

## Static Public Member Functions

static void | step1 (charType *&, intType &)
static bool | is_negative (intType)

## Detailed Description

template<typename intType, typename charType>
struct log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, false >

Definition at line 142 of file stringhelper.h.

## Member Function Documentation

## is_negative()

template<typename intType, typename charType>

bool log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, false >::is_negative | ( | intType |  | ) |

inline static

Definition at line 153 of file stringhelper.h.

## step1()

template<typename intType, typename charType>

void log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, false >::step1 | ( | charType *& | ,
|  | intType & | )

inline static

Definition at line 146 of file stringhelper.h.

The documentation for this struct was generated from the following file:

- stringhelper.h